DEVS-Fire API

setDynamicIgnition

Assign a burn team to travel and ignite along a path from (x1,y1) to (x2,y2). Teams with different `teamNum` values run simultaneously. Calling this multiple times with the same `teamNum` chains paths in sequence.

POST
/setDynamicIgnition

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/setDynamicIgnition/"params: dict[str, float | int | str] = {    "userToken": "abc123xyz",      "teamNum": "team0",            "x1": 1,                       "y1": 1,                       "x2": 100,                     "y2": 100,                     "speed": 0.4,                  "mode": "continuous",      # optional, default "continuous"    "distance": 0.0,           # optional, default 0    "waitTime": -1.0,          # optional, default -1}response = requests.post(base_url, params=params)print(response.text)
"[ team_name:team0// info_num:1[DetailedInfo{type='segment', start_x=10, start_y=10, end_x=20, end_y=10, speed=1.0, mode='continuous', distance=0.0, wait_time=-1.0}\n]\n]"
""

Response Body

text/plain

text/plain